# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_DrawableMesure Class Reference

`#include <TestTopOpeDraw_DrawableMesure.hxx>`

Inheritance diagram for TestTopOpeDraw_DrawableMesure:

[legend]

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_DrawableMesure (const TestTopOpeTools_Mesure &M, const Draw_Color &CurveColor, const Draw_Color &TextColor, const Standard_Real ScaleX=1.0, const Standard_Real ScaleY=1.0)
Standard_EXPORT void | SetScale (const Standard_Real ScaleX, const Standard_Real ScaleY)
Standard_EXPORT void | SetScaleX (const Standard_Real ScaleX)
Standard_EXPORT void | SetScaleY (const Standard_Real ScaleY)
Standard_EXPORT void | SetName (const TCollection_AsciiString &Name)
virtual Standard_EXPORT gp_Pnt | Pnt () const
Standard_EXPORT const Handle_TColgp_HArray1OfPnt & | Pnts () const
Standard_EXPORT void | Clear ()
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. .
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColgp_HArray1OfPnt | myP
Draw_Color | myCurveColor
Handle_TestTopOpeDraw_DrawableC3D | myAXE1
Handle_TestTopOpeDraw_DrawableC3D | myAXE2
Handle_TestTopOpeDraw_HArray1OfDrawableP3D | myHDP
Handle_TestTopOpeDraw_HArray1OfDrawableP3D | myHADP1
Handle_TestTopOpeDraw_HArray1OfDrawableP3D | myHADP2
Standard_Real | myScaleX
Standard_Real | myScaleY

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_DrawableMesure::TestTopOpeDraw_DrawableMesure | ( | const TestTopOpeTools_Mesure & | M,
|  | const Draw_Color & | CurveColor,
|  | const Draw_Color & | TextColor,
|  | const Standard_Real | ScaleX = `1.0`,
|  | const Standard_Real | ScaleY = `1.0`
| ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_DrawableMesure::Clear | ( |  | ) |

virtual Standard_EXPORT void TestTopOpeDraw_DrawableMesure::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from TestTopOpeDraw_DrawableC3D.

Standard_EXPORT const TestTopOpeDraw_DrawableMesure::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TestTopOpeDraw_DrawableC3D.

virtual Standard_EXPORT gp_Pnt TestTopOpeDraw_DrawableMesure::Pnt | ( |  | ) | const`[virtual]`

| Reimplemented from TestTopOpeDraw_DrawableC3D.

Standard_EXPORT const Handle_TColgp_HArray1OfPnt& TestTopOpeDraw_DrawableMesure::Pnts | ( |  | ) | const

Standard_EXPORT void TestTopOpeDraw_DrawableMesure::SetName | ( | const TCollection_AsciiString & | Name | ) |

Standard_EXPORT void TestTopOpeDraw_DrawableMesure::SetScale | ( | const Standard_Real | ScaleX,
|  | const Standard_Real | ScaleY
| ) |

Standard_EXPORT void TestTopOpeDraw_DrawableMesure::SetScaleX | ( | const Standard_Real | ScaleX | ) |

Standard_EXPORT void TestTopOpeDraw_DrawableMesure::SetScaleY | ( | const Standard_Real | ScaleY | ) |

virtual Standard_EXPORT void TestTopOpeDraw_DrawableMesure::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from TestTopOpeDraw_DrawableC3D.

## Field Documentation

Handle_TestTopOpeDraw_DrawableC3D TestTopOpeDraw_DrawableMesure::myAXE1 `[private]`

Handle_TestTopOpeDraw_DrawableC3D TestTopOpeDraw_DrawableMesure::myAXE2 `[private]`

Draw_Color TestTopOpeDraw_DrawableMesure::myCurveColor `[private]`

Handle_TestTopOpeDraw_HArray1OfDrawableP3D TestTopOpeDraw_DrawableMesure::myHADP1 `[private]`

Handle_TestTopOpeDraw_HArray1OfDrawableP3D TestTopOpeDraw_DrawableMesure::myHADP2 `[private]`

Handle_TestTopOpeDraw_HArray1OfDrawableP3D TestTopOpeDraw_DrawableMesure::myHDP `[private]`

Handle_TColgp_HArray1OfPnt TestTopOpeDraw_DrawableMesure::myP `[private]`

Standard_Real TestTopOpeDraw_DrawableMesure::myScaleX `[private]`

Standard_Real TestTopOpeDraw_DrawableMesure::myScaleY `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_DrawableMesure.hxx